// test.ts

import { MockMethod } from 'vite-plugin-mock'
export default [
  {
    url: '/api/get/resource/image-list',
    method: 'get',
    response: ({ query }) => {
      return {
        code: 0,
        data: {
          name: 'vben',
        },
      }
    },
  },
  {
    url: '/api/get/example/bar',
    method: 'post',
    timeout: 2000,
    response: {
      code: 0,
      data: {
        data: [
          { name: '苹果', price: 10, count: 100 },
          { name: '香蕉', price: 150, count: 100 },
          { name: '西瓜', price: 4, count: 100 },
          { name: '葡萄', price: 45, count: 100 },
        ],
      },
    },
  },
] as MockMethod[]